<template>
  <search-results v-bind="$attrs" @click="resultClick($event)" :value="results" />
</template>

<script lang="ts">
import SearchResults from "./SearchResults.vue";
import { handleResultClick, searchAll, SearchResult } from "@/use/search";
import { watchedRef } from "@/use/watchedRef";

export default {
  components: { SearchResults },
  props: {
    value: {
      required: true,
      type: String
    }
  },
  setup(props) {
    return {
      results: watchedRef(
        () => searchAll(props.value),
        () => props.value
      ),
      resultClick: (result: SearchResult) => handleResultClick(result)
    };
  }
};
</script>
